import { Application } from '@hotwired/stimulus';
import TurboPower from 'turbo_power';
import Notification from '@stimulus-components/notification';
import Dropdown from '@stimulus-components/dropdown';

const application = Application.start();
application.register('notification', Notification);
application.register('dropdown', Dropdown);

TurboPower.initialize(Turbo.StreamActions);
// Configure Stimulus development experience
application.debug = false;
window.Stimulus = application;

export { application };
