# frozen_string_literal: true

module ActionButtons
  class SendToDropdownButtonComponent < BaseButtonComponent
    attr_reader :model, :user, :send_states

    def initialize(model:, send_states:, user:, show_text: false)
      super(show_text:)
      @model = model
      @user = user
      @send_states = send_states
    end
  end
end
