# frozen_string_literal: true

class FlashMessagesComponent < ViewComponent::Base
  BACKGROUNDS = {
    'notice' => 'bg-green-400',
    'success' => 'bg-green-400',
    'alert' => 'bg-orange-400'
  }.freeze

  ICONS = {
    'notice' => 'fa-check',
    'success' => 'fa-check'
  }.freeze

  attr_accessor :flash

  def initialize(flash)
    super
    @flash = flash
  end
end
