# frozen_string_literal: true

module Forms
  class AddActionComponent < BaseComponent
    attr_reader :state, :form, :tagset, :controller

    def initialize(state:, form:, tagset: nil, controller: 'base-form')
      super
      @state = state
      @form = form
      @tagset = tagset
      @controller = controller
    end
  end
end
