# frozen_string_literal: true

module SpiritHub
  module Channels
    class Favorite < Base
      def call
        super do
          mark_as_favorite
          @result = channel
        end
      end

      private

      def mark_as_favorite
        channel.favorites.create!(user_id: current_user.id)
      end
    end
  end
end
