# frozen_string_literal: true

module SpiritHub
  module Channels
    class Update < Base
      def call
        super do
          if channel
            add_instant_message
            @result = channel.reload
          else
            errors.add(:base, 'Channel not found')
          end
        end
      end
    end
  end
end
