# frozen_string_literal: true

module SpiritHub
  module Comments
    class Create < Base
      def call
        super do
          create_comment
          @result = @comment
        end
      end

      private

      def create_comment
        @comment = find_or_create_comment_channel.instant_messages.build(comment_params)
        @comment.save!
      end
    end
  end
end
