# frozen_string_literal: true

module SpiritHub
  class ApplicationMailer < ActionMailer::Base
    self.delivery_method = :queued

    helper ApplicationHelper
    layout 'spirit_hub/mailer'

    default from: APP_CONFIG['smtp_no_reply'],
            return_path: APP_CONFIG['smtp_no_reply']
  end
end
