import { Given, When, Then } from '@badeball/cypress-cucumber-preprocessor';

Then('I should see the {int} page', statusCode => {
  cy.get('h1').should('contain', statusCode.toString());
});

When('I generate a {int} error', statusCode => {
  cy.get('input[name="code"]').type(statusCode).type('{enter}');
});

Then('I should see the 500 notification', () => {
  cy.get('#flash_messages').contains('Une erreur technique est survenue');
});

Then('I should see the 403 notification', () => {
  cy.get('#flash_messages').contains("Vous n'avez pas les droits pour effectuer cette action");
});

Then('I should see the 404 notification', () => {
  cy.get('#flash_messages').contains("Cette page n'a pas été trouvée");
});
