Feature: Share modal

  Scenario: No action
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the share button
    And I fill the share form
    And I submit the form
    Then The doc status is "Partagé"

  Scenario: Chained Classify action
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the share button
    And I fill the share form
    And I select the action "Classer"
    And I submit the form
    Then I see the classify modal

  Scenario: Chained Done action
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the share button
    And I fill the share form
    And I select the action "Fin de traitement"
    And I submit the form
    Then The doc status is "Traité"

  Scenario: Can share docs with existing users
    Given I am a logged in admin
    And There is a directory with some docs
    And There are existing users I want to share a doc with
    When I visit the directory url
    Then I can share the doc with the existing users

  Scenario: Can share docs with existing user groups
    Given I am a logged in admin
    And There is a directory with some docs
    And There are existing user groups I want to share a doc with
    When I visit the directory url
    Then I can share the doc with the existing user groups

  Scenario: Can share docs with existing external contacts
    Given I am a logged in admin
    And There is a directory with some docs
    And There are existing external contacts I want to share a doc with
    When I visit the directory url
    Then I can share the doc with the external contacts

  Scenario: Can share docs with new external contacts
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can share the doc with new external contacts

  Scenario: Can share with attachments
    Given I am a logged in admin
    And There is some docs with some attachments
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the share button
    Then The doc title is visible in the modal
    When I fill the share form
    And I add some files as attachments
    And I submit the form
    Then The doc status is "Partagé"

  Scenario: Can apply AI suggestions
    Given I am a logged in admin
    And There is some docs with some attachments
    And There are existing users I want to share a doc with
    And There are similar docs that have been shared already
    When I visit the directory url
    Then I can apply the AI suggestion for the TO recipients only

  Scenario: Can share a directory
    Given I am a logged in admin
    And There is a directory with some docs with files
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the share button on the directory
    And I fill the share form
    And I submit the form
    When I visit the url /spirit_hub/shared
    Then I should see the shared docs