Feature: Directory View

  Scenario: Navigate from favorites to doc
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url

  Scenario: Right colums
    Given I am a logged in admin
    And There is one directory with other directories and docs
    When I visit the directory url
    Then I should see the right columns

  Scenario: Sort
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can sort

  Scenario: Per page and pagination
    Given I am a logged in admin
    And There is a directory with a lot of docs
    When I visit the directory url
    Then I can paginate

  Scenario: Colums selector
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can select all 11 columns

  Scenario: View selector
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can switch between views

  Scenario: Add remove from favorites
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can add and remove from favorites "with_grid"

  Scenario: Remove
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can remove element "with_grid"

  Scenario: Bulk delete
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url

  Scenario: Can share
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can share "with grid"

  Scenario: Open directory
    Given I am a logged in admin
    And There is one directory with other directories and docs
    When I visit the directory url
    And I click on the first directory
    Then I should see sub documents
    When I click on the first directory
    Then I should not see sub documents

  Scenario: Add/Remove doc to completeness
    Given I am a logged in admin
    And There is a directory with some docs, directories and completness
    When I visit the directory url
    And I can add a doc to directory completeness
    And I can add a doc to subdirectory completeness
    And I can remove a doc from directory completeness
    And I can remove a doc from subdirectory completeness
    And I can add multiple docs to directory completeness

  Scenario: Add doc to tagset_doc
    Given I am a logged in admin
    And There are some tagset_doc with file
    When I visit the directory url
    And I can add a doc to tagset_doc
    And I can remove a doc to tagset_doc
    And I can add multiple doc to tagset_doc
    And I can remove a doc from multiple tagset_doc
    And I can remove a tagset_doc with multiple doc

  Scenario: Can classify
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can classify "with grid"

  Scenario: Can make tagset done
    Given I am a logged in admin
    And There is a directory with some docs
    When I visit the directory url
    Then I can make tagset done "with grid"

  Scenario: Can validate
    Given I am a logged in admin
    And There is a doc to validate in a directory
    When I visit the directory url
    Then I can validate "with grid"

  Scenario: Inline tagset edit
    Given I am a logged in admin
    And There is a doc to validate in a directory
    And There is a additionnal user and group
    When I visit the directory url
    Then I can inline edit the responsible
    Then I can inline edit the accounted
    Then I can inline edit the start_date
    Then I can inline edit the end_date

  Scenario: Inline phase edit
    Given I am a logged in admin
    And There a directory with an operation with phases
    When I visit the directory url
    And I open phase 1
    Then I can inline edit "initial_date"
    And I can inline edit "postponed_date"
    And I can inline edit "actual_date"

  Scenario: Add to competeness update phase percent
    Given I am a logged in admin
    And There a directory with an operation with phases
    When I visit the directory url
    Then The percent of the phase should be updated

  Scenario: Can duplicate
    Given I am a logged in admin
    And There is a directory with directory that can be duplicated
    When I visit the directory url
    Then I can duplicate

  Scenario: Add doc with drag and drop
    Given I am a logged in admin
    And There is a directory with some docs, directories and completness
    When I visit the directory url
    When I open the form to add a doc to a tagset_doc
    And I drag and drop a file
    Then I can see the submit button
    When I close the modal
    When I open the form to add a doc to a tagset_directory
    And I drag and drop a file
    Then I can see the submit button
    When I close the modal
    When I open the form to add a doc to a completeness
    And I drag and drop a file
    Then I can see the submit button