Feature: Operations

  Scenario: Right colums
    Given I am a logged in admin
    And There is on operation with all the column
    When I visit the url /spirit_hub/operations
    Then I should see the right columns

  Scenario: Sort
    Given I am a logged in admin
    And There is some operations
    When I visit the url /spirit_hub/operations
    Then I can sort operations

  Scenario: Per page and pagination
    Given I am a logged in admin
    And There is a lot of operations
    When I visit the url /spirit_hub/operations
    Then I can paginate operations

  Scenario: Add remove from favorites
    Given I am a logged in admin
    And There is some operations
    When I visit the url /spirit_hub/operations
    Then I can add and remove from favorites "without grid"

  Scenario: Remove
    Given I am a logged in admin
    And There is some operations
    When I visit the url /spirit_hub/operations
    Then I can remove an operation

  Scenario: Go to operation root tagset
    Given I am a logged in admin
    And There is some operations
    When I visit the url /spirit_hub/operations
    Then I can go to operation root tagset

  Scenario: Add operation
    Given I am a logged in admin
    And There is some operations
    And There is a valid classement plan
    When I visit the url /spirit_hub/operations
    And I click on the add operation button
    And I fill the new operation form
    Then I can download the operation tree file
    When I submit the operation form
    Then The url should match "/spirit_hub/directories/*/index"

  Scenario: Edit operation
    Given I am a logged in admin
    And There is some operations
    When I visit the url /spirit_hub/operations
    And I click on the edit operation button
    And I change the operation title
    Then I can download the operation tree file
    When I submit the operation form
    Then I should see the operation title changed

  Scenario: Show error when code already exists
    Given I am a logged in admin
    And There is operations with code
    And There is a valid classement plan
    When I visit the url /spirit_hub/operations
    And I click on the add operation button
    And I fill the new operation form
    And I fill the code with an existing code
    And I submit the operation form
    Then I should see an code error message
