Feature: Share view

  Scenario: Can download document
    Given There is a shared doc
    When I visit the shared doc page
    Then I can download the document

  Scenario: Use the pagination
    Given There is a shared doc
    When I visit the shared doc page
    When I click on the 3rd page in the mini pages
    Then I am on page "3"
    When I click on the last page in the mini pages
    Then I am on page "5"
    When I click on the previous page 4 times
    Then I am on page "1"
    When I click on the next page
    Then I am on page "2"
    When I change the input to 4
    Then I am on page "4"

  Scenario: Can zoom
    Given There is a shared doc
    When I visit the shared doc page
    And I zoom in
    Then The zoom level should be "125"
    When I zoom out
    Then The zoom level should be "100"
    When I max zoom in
    Then The zoom level should be "300"
    When I max zoom out
    Then The zoom level should be "50"

  Scenario: Can view all shared documents
    Given There are multiple shared docs
    When I visit the shared doc page
    Then I can see the list of shared docs
    And I can download each of them separately
    And I can download all of them together
