# frozen_string_literal: true

require 'rails_helper'

RSpec.describe SpiritHub::TeamActivitiesPolicy do
  let(:user) { create(:user) }

  subject { described_class }

  permissions :index?, :sort? do
    it 'permits all users' do
      expect(subject).to permit(user)
    end
  end
end
