Turbo.StreamActions.change_counter = function () {
  const element = this.targetElements[0];

  if (element) {
    const changeAmount = parseInt(this.getAttribute('amount'), 10);
    const currentValue = parseInt(element.textContent, 10);
    const startIndexElement = element.parentElement.querySelector('#start_index');

    if (!isNaN(currentValue) && !isNaN(changeAmount)) {
      element.textContent = currentValue + changeAmount;
      if (element.textContent < 0) {
        element.textContent = 0;
      }
      if (element.textContent == 0) {
        if (startIndexElement) {
          startIndexElement.textContent = 0;
        }
      }
    }
  }
};
