# frozen_string_literal: true

module ActionButtons
  class HubGptButtonComponent < BaseButtonComponent
    attr_reader :tagset, :user

    def initialize(tagset:, user:, show_text: false)
      super(show_text:)
      @tagset = tagset
      @user = user
    end

    def bot_id
      Bot.where(_type: 'Bot').readable_by(user).first&.id
    end
  end
end
