# frozen_string_literal: true

module ChatbotModal
  class ChannelSectionComponent < ViewComponent::Base
    def initialize(title:, channels:, current_channel:, is_favorite: false)
      super

      @title = title
      @channels = channels
      @current_channel = current_channel
      @is_favorite = is_favorite
    end

    attr_reader :title, :channels, :current_channel, :is_favorite
  end
end
