# frozen_string_literal: true

module Versioning
  class ActionsComponent < ViewComponent::Base
    attr_reader :tagset, :doc, :version_of

    def initialize(tagset:, doc:, version_of: false)
      @tagset = tagset
      @doc = doc
      @version_of = version_of

      super
    end
  end
end
