Feature: Send To modal

  Scenario: Send to share
    Given I am a logged in admin
    And There is some docs
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the send "to_share" button
    And I fill the form
    And I submit the form
    Then The doc status is "À partager"

  Scenario: Send to complete
    Given I am a logged in admin
    And There is some docs
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the send "to_complete" button
    And I fill the form
    And I submit the form
    Then The doc status is "À compléter"

  Scenario: Send to validate
    Given I am a logged in admin
    And There is some docs
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the send "to_validate" button
    And I fill the form
    And I submit the form
    Then The doc status is "À valider"

  Scenario: Send to answer
    Given I am a logged in admin
    And There is some docs
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the send "to_answer" button
    And I fill the form
    And I submit the form
    Then The doc status is "À répondre"

  Scenario: Send to answer with AI suggestions
    Given I am a logged in admin
    And There is a directory with some docs
    And There are existing users I want to send the doc to
    And There are similar docs that have been answered already
    When I visit the directory url
    And I click on the send "to_answer" button
    Then I can apply the AI suggestion for the recipients

  Scenario: Send to sign
    Given I am a logged in admin
    And There is a tagset with multiple docs
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the send "to_sign" button
    And I fill the to sign form
    And I submit the form
    Then The doc status is "À signer"

  Scenario: Send to sign with AI suggestions
    Given I am a logged in admin
    And There is a directory with some docs
    And There are existing users I want to send the doc to
    And There are similar docs that have been signed already
    When I visit the directory url
    And I click on the send "to_sign" button
    Then I can apply the AI suggestion for the recipients

  Scenario: Send to complete on a directory
    Given I am a logged in admin
    And There is a directory with a completeness
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the send "to_complete" button
    And I fill the form
    And I submit the form
    Then The directory as not changed status
    When I visit the url /spirit_hub/todos
    Then The directory is in the todos list

  Scenario: Send to sign on a directory
    Given I am a logged in admin
    And There is a directory with a completeness
    When I visit the url /spirit_hub/search?search_params%5Bcleaned_main_key%5D=
    And I click on the send "to_sign" button
    And I fill the to sign form with one file
    And I submit the form
    Then The directory as not changed status
    When I visit the url /spirit_hub/todos
    Then The directory is in the todos list