Feature: Comments

  Scenario: Add a comment
    Given I am a logged in admin
    And There is a bot and some channels
    And There is a doc
    When I visit the url /spirit_hub/to_classify
    And I click on "Doc Title 1"
    And I click on "Ajouter un commentaire"
    And I type "This is a test comment" in "Rédigez votre commentaire..."
    And I click on "Valider"
    Then I should not see "Valider"
    And I should see "This is a test comment"
    When I click on "HubGPT vous aide"
    Then I should not see "Comments for" within "#chatbot-modal-container"

  Scenario: Reply to a comment
    Given I am a logged in admin
    And There is a doc with a comment
    When I visit the url /spirit_hub/to_classify
    And I click on "Doc Title 1"
    Then I should see "Hello world"
    And I click on '.fa-reply'
    And I type "Nice to meet you" in "Rédigez votre commentaire..."
    And I click on "Valider"
    Then I should see "Nice to meet you"

  Scenario: Send to users with a comment
    Given I am a logged in admin
    And There is a doc
    When I visit the url /spirit_hub/to_classify
    And I click on "Doc Title 1"
    Then I can toggle the button actions
    Then I can click on the sent to button
    And I click on "Envoyer pour partage"
    And I fill the form
    And I submit the form
    Then I should see "This is a message"

  Scenario: Send to complete with a comment
    Given I am a logged in admin
    And There is a doc
    When I visit the url /spirit_hub/to_classify
    And I click on "Doc Title 1"
    Then I can toggle the button actions
    Then I can click on the sent to button
    And I click on "Envoyer pour complément"
    And I fill the form
    And I submit the form
    Then I should see "This is a message"

  Scenario: Send to complete without a comment
    Given I am a logged in admin
    And There is a doc
    When I visit the url /spirit_hub/to_classify
    And I click on "Doc Title 1"
    Then I can toggle the button actions
    Then I can click on the sent to button
    And I click on "Envoyer pour complément"
    And I fill the form
    And I clear in "message"
    And I submit the form
    Then I should not see "This is a message"

  Scenario: Share with a comment
    Given I am a logged in admin
    And There is a doc
    When I visit the url /spirit_hub/to_classify
    And I click on "Doc Title 1"
    And I click on the share button
    And I fill the share form
    And I submit the form
    And I refresh the page
    And I click on "Historique"
    And I open the sharing link
    Then I should see "Hello there!"
    And I click on "Ajouter un commentaire"
    And I type "Nice to e-meet you" in "Rédigez votre commentaire..."
    And I click on "Valider"
    Then I should see "Nice to e-meet you"