Feature: todos

  Scenario: Right colums
    Given I am a logged in admin
    And There is one tagset todo with all columns
    When I visit the url /spirit_hub/todos
    Then I should see the right columns

  Scenario: Sort
    Given I am a logged in admin
    And There is some todos docs
    When I visit the url /spirit_hub/todos
    Then I can sort

  Scenario: Per page and pagination
    Given I am a logged in admin
    And There is a lot of todos docs
    When I visit the url /spirit_hub/todos
    Then I can paginate

  Scenario: Columns selector
    Given I am a logged in admin
    And There is some todos docs
    When I visit the url /spirit_hub/todos
    Then I can select all 11 columns

  Scenario: View selector
    Given I am a logged in admin
    And There is some todos docs
    When I visit the url /spirit_hub/todos
    Then I can switch between views

  Scenario: Add remove from favorites
    Given I am a logged in admin
    And There is some todos docs
    When I visit the url /spirit_hub/todos
    Then I can add and remove from favorites "with_grid"

  Scenario: Remove
    Given I am a logged in admin
    And There is some todos docs
    When I visit the url /spirit_hub/todos
    Then I can remove element "with_grid"

  Scenario: Bulk delete
    Given I am a logged in admin
    And There is some todos docs
    When I visit the url /spirit_hub/todos
    Then I can bulk delete "with_grid"

  Scenario: Can share
    Given I am a logged in admin
    And There is some todos docs
    When I visit the url /spirit_hub/todos
    Then I can share and and not see it in the list

  Scenario: Can add doc
    Given I am a logged in admin
    And There is some todos docs and some directories
    When I visit the url /spirit_hub/todos
    And I add a doc without directory
    Then I should not see the doc in the list
    When I add a doc with a directory
    Then I should see the doc in the list
    When I click on the last created doc
    Then I should see the history journal entries

  Scenario: Can classify
    Given I am a logged in admin
    And There is some todos docs and some directories
    When I visit the url /spirit_hub/todos
    Then I can classify and and not see it in the list

  Scenario: Can make tagset done
    Given I am a logged in admin
    And There is some todos docs and some directories
    When I visit the url /spirit_hub/todos
    Then I can make tagset done and not see it in the list

  Scenario: Can validate
    Given I am a logged in admin
    And There is a doc to validate on my todos page
    When I visit the url /spirit_hub/todos
    Then I can see user selected by default
    Then I can validate the doc

  Scenario: Can respond
    Given I am a logged in admin
    And There is a doc i can respond on my todos page
    When I visit the url /spirit_hub/todos
    Then I can respond "with grid"

  Scenario: Can respond
    Given I am a logged in admin
    And The is a directories in the todos
    When I visit the url /spirit_hub/todos
    When I click on the done button
    Then I don't see the directory anymore
