import { Given, When, Then } from '@badeball/cypress-cucumber-preprocessor';

Then('The doc status is {string}', status => {
  cy.get(`#model_table tbody tr:first td:eq(-2)`).contains(status);
});

Then('The doc status is {string} at row {string}', (status, row) => {
  cy.get(`#model_table tbody tr:nth-child(${row}) td:eq(-2)`).contains(status);
});

When('I select the action {string}', action => {
  cy.get('input[name="add_action"]').parent().click();
  cy.get('select[name="next_state_id"]').next('div').click();
  cy.get('.ss-list:visible > div').contains(action).click({ force: true });
});

Then('The modal with the title contains {string}', title => {
  cy.get('#modal header h2').contains(title);
});
