# frozen_string_literal: true

require 'faker'

FactoryBot.define do
  factory :hubgpt_bot, class: Bot do
    skip_create

    initialize_with do
      next Bot.hubgpt if Bot.hubgpt.present?

      bot = build(:bot)
      bot.first_name = MAIN_BOT_NAME
      bot.tap(&:save!)
    end
  end
end
