# frozen_string_literal: true

require 'faker'

FactoryBot.define do
  factory :classement_plan, class: 'Doc', parent: :doc do
    file_path { Rails.root.join('packages/spirit_hub/spec/fixtures/operation_trees/sample1.csv') }

    after(:create) do |doc|
      SpiritHub::OperationTreeModel.create_batch
      SpiritHub::OperationTreeModel.new.add_doc_to_valid_category(doc)
    end
  end
end
