# frozen_string_literal: true

require 'rails_helper'

RSpec.describe 'Mongoid Indexes', type: :model do
  before(:all) do
    Mongoid::Tasks::Database.remove_undefined_indexes
  end

  it 'does not raise an error when creating indexes' do
    expect do
      Mongoid.models.each(&:create_indexes)
    end.not_to raise_error
  end
end
